Package csb :: Package io :: Module tsv :: Class Predicate

[frames] | no frames]

# Class Predicate

source code

    object --+
             |
            Predicate

Known Subclasses:
  - Between
  - , Equals
  - , Greater
  - , GreaterOrEquals
  - , In
  - , Lower
  - , LowerOrEquals
  - , NotEquals
  - , NotIn

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, params) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__str__(self) str(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| PH = ``'``?``'``
| __abstractmethods__ = ``frozenset([``'``sql``'``])``

Properties
| params
| sql
Inherited from `object`: `__class__`

Method Details

### __init__(self, params)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

Property Details

### params

Get Method:
  unreachable.params(self)

### sql

Get Method:
  unreachable.sql(self)